locals {
  owned_services = flatten([
    for team in fileset("${path.module}", "team_configs/{team_}*.yaml") :
    yamldecode(file("${path.module}/${team}"))["owner"]
  ])

  ownership_validation = sort(local.owned_services) == sort(distinct(local.owned_services)) ? true : false

  teams = {
    for team in fileset("${path.module}", "team_configs/{team_}*.yaml") :
    yamldecode(file("${path.module}/${team}"))["name"]
    => yamldecode(file("${path.module}/${team}"))
  }
}